# $Revision: 1.78.2.3 $, $Date: 2008-01-07 13:53:12 $
#
# Conditional build:
%bcond_with	whoson	# build with whoson support
%bcond_with	sasl	# build with SASL support (uses obsolete cyrus-sasl 1.x)
%bcond_without	ssl	# build without SSL support
#
Summary:	POP3 server
Summary(pl.UTF-8):	Serwer POP3
Name:		solid-pop3d
Version:	0.16d
Release:	14
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://dione.ids.pl/pub/solidpop3d/%{name}-%{version}.tar.gz
# Source0-md5:	ad197a3cf8310994f2fad90376edbd91
Source1:	%{name}.conf
Source2:	%{name}-ssl.conf
Source3:	%{name}.inetd
Source4:	%{name}-ssl.inetd
Source5:	%{name}.pamd
Patch0:		%{name}-whoson2.patch
Patch1:		%{name}-user.patch
Patch2:		%{name}-facility_mail.patch
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_sasl:BuildRequires:	cyrus-sasl-devel < 2.0.0}
BuildRequires:	gdbm-devel
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	rpmbuild(macros) >= 1.159
%{?with_whoson:BuildRequires:	whoson-devel}
PreReq:		rc-inetd >= 0.8.1
Requires:	pam >= 0.79.0
Provides:	pop3daemon
Provides:	user(pop3)
Obsoletes:	imap-pop
Obsoletes:	qpopper
Obsoletes:	qpopper6
Obsoletes:	solid-pop3d-ssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Solid POP3 Server is an implementation of a Post Office Protocol
version 3 server that has flexibility as its main goal. The server is
easily configurable and has support for few features such as:
- APOP authentication scheme
- virtual hosting
- maildir and mailbox handling
- bulletins
- expiration of messages

%description -l pl
Serwer Solid POP3 jest implementacj protokou Post Office Protocol w
wersji 3 majcy za gwny cel elastyczno. Serwer jest atwo
konfigurowalny oraz posiada wsparcie dla wielu nowinek takich jak:
- schemat autoryzacji APOP
- wirtualne serwery
- formaty maildir oraz mailbox skrzynek pocztowych
- obsuga biuletynw
- obsuga przeterminowywania si wiadomoci

%prep
%setup -q
cp -f /usr/share/automake/config.sub .
%{?with_whoson:%patch0 -p1}
%patch1 -p1
%patch2 -p1

%build
%{__autoheader}
%{__autoconf}
%configure \
	--localstatedir=/var/mail \
	--enable-apop \
	--enable-pam \
	--enable-mailbox \
	--enable-maildir \
	--enable-bulletins \
	--enable-expire \
	--enable-configfile \
	--enable-userconfig \
	--enable-last \
	--enable-createmail \
	--enable-ipv6 \
	--enable-mapping \
	--enable-nonip \
	--enable-statistics \
	--enable-dpuid \
	--enable-logextend \
	--enable-userpasswd \
	--enable-authonly \
	%{?with_ssl:--with-openssl} \
	%{?with_whoson:--enable-whoson} \
	%{?with_sasl:--with-sasl}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,sysconfig/rc-inetd,security} \
	$RPM_BUILD_ROOT/var/mail/bulletins

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/spop3d.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/spop3d-ssl.conf
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/spop3d
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/spop3d-ssl
install %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/spop3d

touch $RPM_BUILD_ROOT%{_sysconfdir}/security/blacklist.spop3d

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 60 -r -d /var/mail/bulletins -s /bin/false -c "pop3 user" -g nobody pop3

%post
%service -q rc-inetd reload

%postun
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
	%userremove pop3
fi

%triggerpostun -- solid-pop3d < 0.16d-8
if [ "$1" != "0" ]; then
	%userremove spop3d
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README SASL THANKS TLS VIRTUALS doc/config.example
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/rc-inetd/spop3d
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/rc-inetd/spop3d-ssl
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/security/blacklist.spop3d
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/spop3d
%attr(640,pop3,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/spop3d.conf
%attr(640,pop3,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/spop3d-ssl.conf
%attr(755,root,root) %dir /var/mail/bulletins
%{_mandir}/man[158]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: solid-pop3d.spec,v $
Revision 1.78.2.3  2008-01-07 13:53:12  blues
- fix build

Revision 1.78.2.2  2008-01-07 12:26:18  blues
- typo

Revision 1.78.2.1  2008-01-07 12:24:25  blues
- rel.13 - facility_mail patch added; some merged from HEAD

Revision 1.78  2005-05-12 13:32:21  baggins
- release 12
- req pam 0.79

Revision 1.77  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.76  2004/10/31 16:25:47  paladine
- spaces->tabs
- formatting

Revision 1.75  2004/08/25 04:22:13  ankry
- rel. 11

Revision 1.74  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.73  2004/08/08 15:59:37  ankry
- {group,user}{add,del} do not belong to this package - don't use this
  pakage %{_sbindir} for them

Revision 1.72  2004/03/19 23:46:37  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.71  2004/01/15 11:29:08  qboosh
- updated sasl bcond comment

Revision 1.70  2004/01/15 11:22:32  jajcus
- Release: 10
- SASL support disabled to build for Ac
    solid-pop3d is abandonware, it does not support Cyrus-SASL 2 (which is used
    in Ac) and porting is not trivial.

Revision 1.69  2003/11/13 21:11:00  eothane
- bconds, bconds, bconds (silly me)

Revision 1.68  2003/11/13 21:04:17  eothane
- bconds, bconds, bconds

Revision 1.67  2003/10/06 15:32:28  eothane
- removed obsoleted URL:

Revision 1.66  2003/10/06 14:56:47  blues
- cosmetics

Revision 1.65  2003/09/30 20:18:34  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.64  2003/09/26 14:25:20  baggins
- release 9

Revision 1.63  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.62  2003/09/02 15:23:45  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.61  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.60  2003/06/12 21:44:34  radzio
- change user name form spop3d to pop3 in %files section (bug no. 678)

Revision 1.59  2003/05/28 13:02:00  malekith
- massive attack: source-md5

Revision 1.58  2003/05/25 06:26:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/04/14 17:21:20  misi3k
- rel 8
- added user patch (s/spop3d/pop3/)
- s/spop3/pop3/
- added %%triggerpostun

Revision 1.56  2003/02/13 14:05:25  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.55  2003/01/10 14:28:50  jajcus
- allow building without SASL

Revision 1.54  2002/12/07 23:49:24  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.53  2002/12/07 14:34:24  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.52  2002/11/30 23:00:28  juandon
- new %%doc

Revision 1.51  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.50  2002/05/21 23:14:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.49  2002/04/20 01:02:19  kloczek
- release 7.

Revision 1.48  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.47  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.46  2002/01/18 02:15:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2001/10/04 08:01:35  qboosh
- BuildRequires: autoconf

Revision 1.44  2001/09/06 21:11:51  areq
- add autoheader - need by whoson.patch
- Release 6, STBR

Revision 1.43  2001/08/30 17:24:09  kloczek
- release 5.

Revision 1.42  2001/08/30 16:51:44  areq
- add whoson support

Revision 1.41  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.40  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.38  2001/05/10 07:35:17  misiek
- added missing BuildRequires:	openssl-devel >= 0.9.6a
- release 4

Revision 1.37  2001/04/22 09:05:35  kloczek
- cosmetics.

Revision 1.36  2001/04/22 09:03:08  siefca
- added AUTH-ONLY support

Revision 1.35  2001/04/22 02:23:50  kloczek
- release 2.

Revision 1.34  2001/04/19 13:19:12  roman
-Added BuilReq: gdbm-devel

Revision 1.33  2000/11/27 22:57:17  misiek
using update-db is obsolete; removed

Revision 1.32  2000/11/17 23:57:19  areq
- change _bindir to _sbindir  in   %{_sbindir}/userdel spop3d

Revision 1.31  2000/10/02 16:18:02  kloczek
- typo.

Revision 1.30  2000/10/02 16:14:28  kloczek
- added solid-pop3d-ssl to Obsoletes list,
- use rpm new automation suit.

Revision 1.29  2000/09/23 13:21:55  kloczek
- adapterized.

Revision 1.28  2000/09/22 21:32:50  waszi

- updated to 0.16d

Revision 1.27  2000/09/16 15:13:51  areq

add /etc/spop3d-ssl.conf

Revision 1.26  2000/09/13 21:42:24  waszi

- remove obsoleted ssl package

Revision 1.25  2000/08/23 12:29:36  waszi
- updated 0.16c

Revision 1.24  2000/08/02 18:10:48  mis
- repaired what I corrupted: back to useradd without -m (this copies /etc/skel)

Revision 1.23  2000/07/31 12:21:00  kloczek
- release 3.

Revision 1.22  2000/07/31 12:03:39  mis
- added -m to useradd to allow it create $HOME for added user(s)

Revision 1.21  2000/06/21 19:15:27  kloczek
- fixed %files list in ssl.

Revision 1.20  2000/06/21 19:10:33  kloczek
- typo s/stunel/stunnel/.

Revision 1.19  2000/06/21 18:09:57  kloczek
- cosmetics.

Revision 1.18  2000/06/21 17:37:34  kloczek
- release 2,
- added ssl subpackage with pop over SSL service definition (as wrapper is
  used stunnel).

Revision 1.17  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/15 21:55:02  kloczek
- cosmetics.

Revision 1.14  2000/05/15 11:17:40  misiek
- updated to 0.15

Revision 1.13  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.11  2000/02/21 18:00:15  wiget
- changed default config

Revision 1.10  2000/02/12 14:33:46  wiget
- release++

Revision 1.9  2000/02/12 13:23:24  mkochano
- "/etc/rc.d/init.d/rc-inetd stop" replaced with
  "/etc/rc.d/init.d/rc-inetd reload" in %postun.

Revision 1.8  2000/02/12 00:13:06  wiget
- move useradd to %%pre

Revision 1.7  2000/02/12 00:11:38  wiget
- add/del spop3d user in %%pre/%%postun
- fix file permision

Revision 1.6  2000/02/10 06:44:26  waszi

- updated to 0.14

Revision 1.5  2000/01/18 14:29:06  misiek
- added --enable-createmail
TODO:
useradd spop3d etc

Revision 1.4  2000/01/11 08:16:02  waszi
- added spop3d.conf

Revision 1.3  2000/01/10 04:28:12  kloczek
- cosmetics.

Revision 1.2  2000/01/09 13:24:33  waszi
- adapter(ized)

* Fri Dec 10 1999 Arkadiusz Miskiewicz <misiek@pld.org.pl>
- initial rpm release
